none
Data source configuration RRS feed

  • Question

  • I have been trying to solve this problem without success.I downgraded the EF through the nuget but did not workout.

    "This version of the Entity Data Source wizard is only compatible with Entity Framework 5. If you're not using Entity Framework 5 you can configure the control by editing the markup on the page. The page editor has IntelliSense support for ASP.NET controls. If you're using Identity Framework 6 you shold bo using the EF6-compatible version of the Entity Data Source control, avaiable as the Microsoft.AspNet.EntityDataSource package in NuGet".

    I am using visual studio community

    please assist

    Wednesday, September 16, 2015 2:02 AM

Answers

  • Hi John,

    Thank you for posting in MSDN forum.

    Could you tell us which edition of your visual studio?

    And which one do you install from the nuget?

    I tested this issue on my visual studio 2015, and I search for the "Entiy Data Source control", and I install the "Microsoft.AspNet.EntityDataSource" for my solution, and it could be installed successfully, see the screenshot below:

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.

    Click HERE to participate the survey.

    Wednesday, September 16, 2015 8:20 AM
    Moderator

All replies

  • Hi John,

    Thank you for posting in MSDN forum.

    Could you tell us which edition of your visual studio?

    And which one do you install from the nuget?

    I tested this issue on my visual studio 2015, and I search for the "Entiy Data Source control", and I install the "Microsoft.AspNet.EntityDataSource" for my solution, and it could be installed successfully, see the screenshot below:

    Best Regards,


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.

    Click HERE to participate the survey.

    Wednesday, September 16, 2015 8:20 AM
    Moderator
  • I followed this advice, but when I drop the entity data source control onto a page, I still get the error cited above.

    So I guess both entity data source controls are installed. How do I get the project to reference version 6?


    jaytay

    Friday, September 25, 2015 11:30 PM
  • Jiayi...  Your response did not solve the problem.

    I am having the same problem for the last several weeks.  Cannot find any answer other than to install EF6.  But I already have that installed.  This a a pretty nasty bug in VS for which no one seems to have an actual answer.

    Saturday, January 16, 2016 7:27 PM
  • I have the same problem. Did you ever find a sloution?
    Thursday, March 17, 2016 1:52 PM
  • I also have the same problem. Anyone?
    Tuesday, March 29, 2016 5:06 PM